2009-03-17  Vincent Untz  <vuntz@gnome.org>

	* configure.ac: post-release bump to 0.11.11

==================== 0.11.10 ====================

2009-03-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: version 0.11.10

2009-02-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac: post-release bump to 0.11.10

==================== 0.11.9 ====================

2009-02-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* NEWS:
	* README: version 0.11.9

2009-02-16  Cosimo Cecchi  <cosimoc@gnome.org>

	* Alacarte/MainWindow.py: drop libgnomeui dependency.
	* configure.ac: bump required PyGTK version to 2.13.0,
	due to gtk.show_uri().
	Patch by Andreas Proschofsky, fixes bug #570493.

2009-02-04  Cosimo Cecchi  <cosimoc@gnome.org>

	* Alacarte/MainWindow.py: removed a call to
	gnome.ui.authentication_manager_init(), as that's not needed
	with GIO anymore. Thanks to Andreas Proschofsky.

2009-02-02  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac: post-release bump to 0.11.9

==================== 0.11.8 ====================

2009-02-02  Cosimo Cecchi  <cosimoc@gnome.org>

	* NEWS:
	* README: version 0.11.8

2009-01-21  Frederic Peters  <fpeters@0d.be>

	* configure.ac: adds a pygtk.require() when detecting pygobject, so
	non-standard installation paths are considered.  (#568534)

2009-01-19  Vincent Untz  <vuntz@gnome.org>

	* Alacarte/MenuEditor.py: show all separators
	* configure.ac: require gnome-menus 2.22.2
	Fix bug #527635

2009-01-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac: post-release bump to 0.11.8

==================== 0.11.7 ====================

2009-01-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* NEWS:
	* README: version 0.11.7

2009-01-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* Alacarte/MainWindow.py:
	* configure.ac: port to GIO. Based on a patch from Gian Mario
	Tagliaretti (#514574).

2009-01-19  Cosimo Cecchi  <cosimoc@gnome.org>

	* INSTALL:
	* Makefile.am:
	* configure.ac: use intltool 0.4.0.

2008-11-17  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.ac: better message for python libraries check.
	Part of bug #552186.

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* configure.ac: post-release bump to 0.11.7

==================== 0.11.6 ====================

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: version 0.11.6

2008-09-22  Vincent Untz  <vuntz@gnome.org>

	* configure.ac: check for python 2.6. Fix bug #551751.

2008-09-11  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am:
	* alacarte.desktop.in.in:
	* alacarte.glade:
	* configure.ac:
	* data/Makefile.am:
	* data/icons/Makefile.am:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Create a data directory, and put data in there.
	Add all sizes for icons.
	Fix bug #549994
	Based on work by Michael Monreal <michael.monreal@gmx.net>

2008-09-11  Vincent Untz  <vuntz@gnome.org>

	* Makefile.am: fix uninstallation of icons
	Fix bug #538679
	Patch by Fabricio Silva <silva@crans.org>

2008-03-10  Travis Watkins  <amaranth@ubuntu.com>

	* configure.ac: post-release bump to 0.11.6

==================== 0.11.5 ====================

2008-03-10  Travis Watkins  <amaranth@ubuntu.com>

	* NEWS:
	  README: version 0.11.5

2008-02-18  Travis Watkins  <amaranth@ubuntu.com>

	* Alacarte/MainWindow.py: bail out if no item selected (bug 517380)

2008-02-16  Travis Watkins  <amaranth@ubuntu.com>

        * configure.ac: pre-release bump to 0.11.5

==================== 0.11.4 ====================

2008-02-16  Travis Watkins  <amaranth@ubuntu.com>

	* NEWS:
	* README: version 0.11.4

2008-02-16  Travis Watkins  <amaranth@ubuntu.com>

	* Alacarte/MenuEditor.py: hopefully fix the most frequest crasher

2008-02-16  Travis Watkins  <amaranth@ubuntu.com>

	* Alacarte/MainWindow.py: _really_ fix that drag-and-drop problem
	* po/POTFILES.in: make distcheck work

2008-02-16  Travis Watkins  <amaranth@ubuntu.com>

	* Alacarte/MainWindow.py:
	  - disable New Separator button when an item is not selected
	    thanks to Mike Pechkin
	  - hopefully fix problem with editing properties on menus without
	    .directory files
	  - make sure DnD operations are only allowed for the inside
	    the alacarte window and not between instances of alacarte
	  - update view on item theme change, thanks Jared Moore
	* Alacarte/Makefile.am:
	  - install .py files to the correct location, thanks Todd Zullinger
	* Alacarte/MenuEditor.py:
	  - make sure you can't move a menu into itself
	    thanks Benjamin Gramlich
	  - hopefully fix bug 486937 (which doesn't make sense)
	* alacarte.desktop.in.in:
	  - disable StartupNotify as a poor man's fix for property windows
	    going under the main application window

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* configure.ac: pre-release bump to 0.11.4

==================== 0.11.3 ====================

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: version 0.11.3

2007-02-11  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py:
	  Alacarte/MenuEditor.py: readd support for System menu
	* alacarte.desktop.in.in:
	  alacarte.glade: make name 'Main Menu' everywhere

2007-01-11  Travis Watkins  <alleykat@gmail.com>

	* alacarte.desktop.in.in: remove GenericName, add specific category

2007-01-10  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.11.2

2007-01-10  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: remove DialogHandler and time imports
	* Alacarte/MenuEditor.py: remove settings.menu support, potential errors

2007-01-08  Travis Watkins  <alleykat@gmail.com>

        * configure.ac: post-release bump to 0.11.1

2007-01-08  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: pre-release bump to 0.11.0

2007-01-08  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: add a small hack to make menu creation work

2007-01-08  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MenuEditor.py: add support for adding external files
	* Alacarte/MainWindow.py: use gnome-desktop-item-edit for all menu
	  and item dialogs
	* Alacarte/DialogHandler.py: removed, no longer needed
	* alacarte.glade: remove unused dialogs

2007-01-03  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: minor UI fix (from Christian Persch)

2006-12-18  Rob Bradford  <rob@robster.org.uk>

	* configure.ac: post-release bump to 0.10.3

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* Alacarte/DialogHandler.py:
	* Alacarte/MenuEditor.py:
	Mark all strings for translation.

2006-12-07  Rob Bradford  <rob@robster.org.uk>

	* Alacarte/MainWindow.py:
	* Alacarte/config.py.in:
	  Make gettext look for the locale data in the correct place. My patch
	  is a hybrid of the solution from Scott Reeves (see #376486) and
	  Takao Fujiwara (see #377301). With some adjustments of my own.

2006-12-07  Rob Bradford  <rob@robster.org.uk>

	* alacarte.desktop.in.in: added _GenericName (see #352105) and changed
	  the _Name and _Comment to match the recommendations from the Sun
	  usability guys (see #375629).

2006-12-07  Rob Bradford  <rob@robster.org.uk>

	* configure.ac: Added support for Python 2.5. (see #375382)

2006-12-07  Kevin Tighe  <kevin.j.tighe@gmail.com>

	* alacarte.glade: Added minimize/maximize buttons to main window. 
	  (GNOME bug #370598).

2006-12-07  Rob Bradford  <rob@robster.org.uk>

	* Alacarte/MainWindow.py: Disable the up/down arrows when on the
	  first/last items (see #352103)

2006-12-07  Rob Bradford  <rob@robster.org.uk>

	* alacarte.desktop.in: removed
	* alacarte.desktop.in.in: added and include bug-buddy magic 
	  (see #363186)
	* configure.ac: added alacarte.desktop.in to AC_CONFIG_FILES

2006-10-02  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.10.2

2006-10-02  Frederic Crozat  <fcrozat@mandriva.com>

	* Alacarte/util.py: fix typo in code.
	* Alacarte/MenuEditor.py: disable inlining in newly created menu
	(GNOME bug #359003).
	* Alacarte/MenuEditor.py: don't hardcode root menu node name 
	(GNOME bug #355828).

2006-10-02  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: escape non-alphanum chars in command dialog

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: escape \t, \r, and \n

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: don't set menu values to values of last
	menu looked at (oops)

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: ignore expanding errors

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/util.py: move .config out of the way if it's not a directory

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: fix crash bug with command entry

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/util.py: fix invalid system menu path (thanks fcrozat)

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/util.py: fix XDG_DATA_HOME paths

2006-10-01  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MenuEditor.py: don't add duplicate AppDir tags

2006-09-04  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.10.1

2006-09-03  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: pre-release bump to 0.10.0

2006-08-24  Travis Watkins  <alleykat@gmail.com>

	* MainWindow.py: add keyboard accelerator for help and make help
	button work
	* Dialoghandler.py: fix crash on Solaris (maybe)

2006-08-04  Travis Watkins  <alleykat@gmail.com>

	* Fix crash caused by API change in gnome-menus (thanks Joe Marcus
	Clarke)

2006-08-03  Jovan Naumovski  <jovan@lugola.net>

	* Added sl.po to po/ and 'sl' to LINGUAS.

2006-07-24  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.9.91

2006-07-24  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: pre-release bump to 0.9.90

2006-07-21  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: HIG fixes from Christian Persch

2006-07-09  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.9.3

2006-07-09  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: make sure desktop file exists before
	checking it
	* Alacarte/MenuEditor.py: reload DOM on undo/redo to make changes
	stick

2006-05-27  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: fix new entry command browsing

2006-05-15  Travis Watkins  <alleykat@gmail.com>

	* configure.ac: post-release bump to 0.9.2

2006-05-15  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py:
	* alacarte.glade: HIG fixes

2006-05-07  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py:
	* Alacarte/MainWindow.py: add set_transient_for to make real modal
	dialogs
	* Alacarte/DialogHandler.py: remove timer ugliness, don't save unless
	the user changed something

2006-05-05  Travis Watkins  <alleykat@gmail.com>

	* alacarte.in: order things for easier profiling

2006-05-04  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: make Delete delete items
	* Alacarte/MenuEditor.py:
	* Alacarte/MainWindow.py:
	* Alacarte/util.py: add DnD for .desktop files and executable files

2006-04-29  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MenuEditor.py: legacydirs fix

2006-04-29  Travis Watkins  <alleykat@gmail.com>

	* alacarte.desktop.in: change Name and Categories

2006-04-28  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: add destroy handler
	* Alacarte/MainWindow.py: fix for legacy menus
	* Alacarte/util.py: fix for items without icons

2006-04-27  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: allow resizing
	* Alacarte/MenuEditor.py: small bug fix
	* Alacarte/MainWindow.py:
	* Alacarte/DialogHandler.py: speed up editing by not instantly
	updating

2006-04-27  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: UI tweaks
	* Alacarte/util.py: don't resize icons unless needed, makes them
	blurry

2006-04-26  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade: make up/down buttons work
	* Alacarte/MainWindow.py:
	* Alacarte/MenuEditor.py:
	* Alacarte/DialogHandler.py: add undo/redo support!
	* Alacarte/MenuEditor.py: make revert less destructive as root

2006-04-21  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade:
	* Alacarte/MainWindow.py: UI redesign
	* Alacarte/DialogHandler.py:
	* Alacarte/MenuEditor.py: treat 'Other' menu like a normal one

2006-04-21  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MenuEditor.py
	* Alacarte/MainWindow.py: use new gnome-menus API
	* Alacarte/MenuEditor.py: reload ROM on full revert
                                  better legacy menu support
                                  make multiple moves work
	* Alacarte/util.py: resize icons to 24x24

2006-04-20  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: only add executable files to completion

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade:
	* Alacarte/DialogHandler.py: add simple command completion

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/DialogHandler.py: add image filters, add command dialog

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* alacarte.glade:
	* Alacarte/DialogHandler.py: fix icon selection

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* autogen.sh: require automake 1.9
	* configure.ac: PoLinguas goal
	* alacarte.desktop.in: add Icon key
	* alacarte.glade: add translator-credits to about dialog

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py:
	* Alacarte/MenuEditor.py: finish DnD, finish layout support, add
	full revert (all menus) support

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/util.py:
	* Alacarte/MenuEditor.py:
	* Alacarte/MainWindow.py: implement revert and delete

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MenuEditor.py: moveItem fully implemented
	* Alacarte/DialogHandler.py:
	* Alacarte/MainWindow.py: set default icon
	* alacarte.svg:
	* alacarte.png: new icon from Andreas Nilsson

2006-04-18  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py:
	* Alacarte/MenuEditor.py: DnD copy of items, basic layout support

2006-04-17  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py:
	* Alacarte/MenuEditor.py: small speedups, fixes

2006-04-15  Travis Watkins  <alleykat@gmail.com>

	* too much stuff, need to commit more often

2006-04-12  Travis Watkins  <alleykat@gmail.com>

	* Alacarte/MainWindow.py: make shift-f10 work

2006-04-12  Travis Watkins  <alleykat@gmail.com>

	* Makefile.am: distcheck fixes

2006-04-12  Travis Watkins  <alleykat@gmail.com>

	* Makefile.am:
	* Alacarte/MainWindow.py:
	* Alacarte/DialogHandler.py: AppIcon goal
